#!/bin/bash

project=`bzr info | grep ruslan | tail -1 | sed -e 's/.*~/~/'`

if   [ "${1}" = "ct" ]; then
    bzr commit -m "merge with local copy"

elif [ "${1}" = "add" ]; then
    bzr add ${2}

elif [ "${1}" = "in" ]; then
    bzr info

elif [ "${1}" = "ps" ]; then
    bzr push lp:${project}

elif [ "${1}" = "mg" ]; then
    bzr merge lp:${project}

elif [ "${1}" = "st" ]; then
    bzr status

elif [ "${1}" = "cl" ]; then
    rm -rfv CMakeCache.txt
    rm -rfv cmake_install.cmake
    rm -rfv CMakeFiles
    rm -rfv devel
    rm -rfv Makefile
    rm -rfv readoutlib
    rm -rfv ../*~
    rm -rfv ../*/*~
    rm -rfv ../*/*/*~
    rm -rfv ../*/*/*/*~
    rm -rfv ../*/*/*/*/*~
    rm -rfv ../lib
    rm -rfv ../bin
    rm -rfv ../src/readoutlib/config.hh

elif [ "${1}" = "mk" ]; then
    make -j8

elif [ "${1}" = "cn" ]; then
    make clean

elif [ "${1}" = "cm" ]; then
    if [ -d ../../gcc-4.1.2 ]; then 
	cmake ../src/ -DCMAKE_C_COMPILER=`pwd`/../../gcc-4.1.2/install/usr/local/bin/gcc -DCMAKE_CXX_COMPILER=`pwd`/../../gcc-4.1.2/install/usr/local/bin/g++ 
    else
	cmake ../src
    fi
fi